---
title: Origin metrics
summary: >-
  The Observability API allows you to programmatically define custom dashboards
  to view in the Observability web interface. These metrics are compatible with
  <a
  href="https://www.fastly.com/documentation/reference/api/observability/custom-dashboards/#data-source">dashboard
  items where <code>data_source.type</code> is <code>stats.origin</code></a>.
url: >-
  https://www.fastly.com/documentation/reference/api/observability/custom-dashboards/metrics/origin
---

The Observability API allows you to programmatically define custom
dashboards to view in the Observability web interface. These metrics are
compatible with
<a href="https://www.fastly.com/documentation/reference/api/observability/custom-dashboards/#data-source">dashboard items where <code>data_source.type</code> is <code>stats.origin</code></a>.

## Data model

| Field | Type | Description |
|-------|------|-------------|
| `all_bandwidth` | integer | The amount of bandwidth from your origin. |
| `all_latency_0_to_1ms` | integer | Number of responses from origin with latency between 0 and 1 millisecond. |
| `all_latency_10000_to_60000ms` | integer | Number of responses from origin with latency between 10000 and 60000 milliseconds. |
| `all_latency_1000_to_5000ms` | integer | Number of responses from origin with latency between 1000 and 5000 milliseconds. |
| `all_latency_100_to_250ms` | integer | Number of responses from origin with latency between 100 and 250 milliseconds. |
| `all_latency_10_to_50ms` | integer | Number of responses from origin with latency between 10 and 50 milliseconds. |
| `all_latency_1_to_5ms` | integer | Number of responses from origin with latency between 1 and 5 milliseconds. |
| `all_latency_250_to_500ms` | integer | Number of responses from origin with latency between 250 and 500 milliseconds. |
| `all_latency_5000_to_10000ms` | integer | Number of responses from origin with latency between 5000 and 10000 milliseconds. |
| `all_latency_500_to_1000ms` | integer | Number of responses from origin with latency between 500 and 1000 milliseconds. |
| `all_latency_50_to_100ms` | integer | Number of responses from origin with latency between 50 and 100 milliseconds. |
| `all_latency_5_to_10ms` | integer | Number of responses from origin with latency between 5 and 10 milliseconds. |
| `all_latency_60000ms` | integer | Number of responses from origin with latency of 60,000 milliseconds and above. |
| `all_resp_body_bytes` | integer | Number of body bytes from origin. |
| `all_resp_header_bytes` | integer | Number of header bytes from origin. |
| `all_responses` | integer | Number of responses from origin. |
| `all_status_1xx` | integer | Number of 1xx "Informational" category status codes delivered from origin. |
| `all_status_200` | integer | Number of responses received with status code 200 (Success) from origin. |
| `all_status_204` | integer | Number of responses received with status code 204 (No Content) from origin. |
| `all_status_206` | integer | Number of responses received with status code 206 (Partial Content) from origin. |
| `all_status_2xx` | integer | Number of 2xx "Success" status codes delivered from origin. |
| `all_status_301` | integer | Number of responses received with status code 301 (Moved Permanently) from origin. |
| `all_status_302` | integer | Number of responses received with status code 302 (Found) from origin. |
| `all_status_304` | integer | Number of responses received with status code 304 (Not Modified) from origin. |
| `all_status_3xx` | integer | Number of 3xx "Redirection" codes delivered from origin. |
| `all_status_400` | integer | Number of responses received with status code 400 (Bad Request) from origin. |
| `all_status_401` | integer | Number of responses received with status code 401 (Unauthorized) from origin. |
| `all_status_403` | integer | Number of responses received with status code 403 (Forbidden) from origin. |
| `all_status_404` | integer | Number of responses received with status code 404 (Not Found) from origin. |
| `all_status_404_rate` | number | Percentage of responses with 404 codes delivered. If there are no responses, this value will be 0%. |
| `all_status_416` | integer | Number of responses received with status code 416 (Range Not Satisfiable) from origin. |
| `all_status_429` | integer | Number of responses received with status code 429 (Too Many Requests) from origin. |
| `all_status_4xx` | integer | Number of 4xx "Client Error" codes delivered from origin. |
| `all_status_4xx_excl_404_rate` | number | Percentage of responses with 4xx codes delivered excluding 404. If there are no responses, this value will be 0%. |
| `all_status_4xx_rate` | number | Percentage of responses with 4xx codes delivered from origin. If there are no responses, this value will be 0%. |
| `all_status_500` | integer | Number of responses received with status code 500 (Internal Server Error) from origin. |
| `all_status_501` | integer | Number of responses received with status code 501 (Not Implemented) from origin. |
| `all_status_502` | integer | Number of responses received with status code 502 (Bad Gateway) from origin. |
| `all_status_503` | integer | Number of responses received with status code 503 (Service Unavailable) from origin. |
| `all_status_504` | integer | Number of responses received with status code 504 (Gateway Timeout) from origin. |
| `all_status_505` | integer | Number of responses received with status code 505 (HTTP Version Not Supported) from origin. |
| `all_status_5xx` | integer | Number of 5xx "Server Error" codes delivered from origin. |
| `all_status_5xx_rate` | number | Percentage of responses with 5xx codes delivered from origin. If there are no responses, this value will be 0%. |
| `all_status_gte_400_rate` | number | Percentage of responses with 4xx or 5xx codes delivered from origin. If there are no responses, this value will be 0%. |
| `all_status_lt_500_rate` | number | Percentage of responses with non-5xx codes delivered from origin. If there are no responses, this value will be 0%. |
